#
# spec file for package psi+
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define __builder ninja

%define version_unconverted 1.4.885+0

Name:           psi+
Url:            https://github.com/psi-plus
Version:        1.4.885+0
Release:        lp150.2.3.1
Summary:        Jabber client using Qt
License:        GPL-2.0-or-later AND Apache-2.0
Group:          Productivity/Networking/Talk/Clients
Source0:        psi+-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  cmake >= 3.1
BuildRequires:  dos2unix
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  hunspell-devel
BuildRequires:  libXScrnSaver-devel
BuildRequires:  libidn-devel
BuildRequires:  libotr-devel
BuildRequires:  libproxy-devel
BuildRequires:  libsignal-protocol-c-devel
BuildRequires:  libtidy-devel
BuildRequires:  ninja
BuildRequires:  openssl-devel
BuildRequires:  update-desktop-files
BuildRequires:  xz
BuildRequires:  zlib-devel
BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Gui)
BuildRequires:  cmake(Qt5Keychain)
BuildRequires:  cmake(Qt5LinguistTools)
BuildRequires:  cmake(Qt5Multimedia)
BuildRequires:  cmake(Qt5PrintSupport)
BuildRequires:  cmake(Qt5Sql)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  cmake(Qt5WebEngine)
BuildRequires:  cmake(Qt5X11Extras)
BuildRequires:  cmake(Qt5Xml)
BuildRequires:  pkgconfig(qca2-qt5)
Recommends:     %{name}-lang
Requires:       %{name}-data = %{version}
Obsoletes:      psi
Obsoletes:      psi+ > 20100101

%define iconspath %{_datadir}/psi-plus/iconsets
%define pluginspath %{_libdir}/psi-plus/plugins

%description
Psi is the premiere Instant Messaging application designed for
GNU/Linux, Microsoft Windows, Apple Mac OS X. Built upon an open
protocol named Jabber, Psi is a fast and lightweight messaging client
that utilises the best in open source technologies. Psi contains all
the features necessary to chat, with no bloated extras that slow your
computer down.

%package data
Summary:        Data for Psi+
Group:          Productivity/Networking/Talk/Clients
BuildArch:      noarch
Provides:       %{name}-icons = %{version}
Obsoletes:      %{name}-icons > 20100101
Provides:       %{name}-sounds = %{version}
Obsoletes:      %{name}-sounds > 20100101
Provides:       %{name}-themes = %{version}
Obsoletes:      %{name}-themes > 20100101

%description data
Icons, sounds, and themes for Psi+.

%package plugins-devel
Summary:        Headers for Psi plugins
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description plugins-devel
Headers and qmake project include files for developing Psi+ plugins.

%package plugins-juickplugin
Summary:        Plugin for Psi
Group:          Productivity/Networking/Talk/Clients
Requires:       %{name} = %{version}

%description plugins-juickplugin
This plugin is designed to work efficiently and comfortably with the Juick
microblogging service.

%package plugins-autoreplyplugin
Summary:        Plugin for Psi
Group:          Productivity/Networking/Talk/Clients
Requires:       %{name} = %{version}

%description plugins-autoreplyplugin
This plugin acts as an auto-answering machine.

%package plugins-translateplugin
Summary:        Plugin for Psi
Group:          Productivity/Networking/Talk/Clients
Requires:       %{name} = %{version}

%description plugins-translateplugin
This plugin allows you to convert selected text into another language.

%package plugins-imageplugin
Summary:        Plugin for Psi
Group:          Productivity/Networking/Talk/Clients
Requires:       %{name} = %{version}

%description plugins-imageplugin
This plugin is designed to send images to roster contacts.

%package plugins-imagepreviewplugin
Summary:        Plugin for Psi
Group:          Productivity/Networking/Talk/Clients
Requires:       %{name} = %{version}

%description plugins-imagepreviewplugin
This plugin shows the preview image for an image URL.

%package plugins-jabberdiskplugin
Summary:        Plugin for Psi
Group:          Productivity/Networking/Talk/Clients
Requires:       %{name} = %{version}

%description plugins-jabberdiskplugin
This plugin adds support for remote jabber disks into Psi+.

%package plugins-birthdayreminderplugin
Summary:        Plugin for Psi
Group:          Productivity/Networking/Talk/Clients
Requires:       %{name} = %{version}

%description plugins-birthdayreminderplugin
This plugin is designed to show reminders of upcoming birthdays.

%package plugins-gnupgplugin
Summary:        Plugin for Psi
Group:          Productivity/Networking/Talk/Clients
Requires:       %{name} = %{version}

%description plugins-gnupgplugin
Plugin to support GnuPG end-to-end encryption.

%package plugins-gomokugameplugin
Summary:        Plugin for Psi
Group:          Productivity/Networking/Talk/Clients
Requires:       %{name} = %{version}

%description plugins-gomokugameplugin
Plugin to add Gomoku game to Psi+.

%package plugins-omemoplugin
Summary:        Plugin for Psi
Group:          Productivity/Networking/Talk/Clients
Requires:       %{name} = %{version}

%description plugins-omemoplugin
OMEMO Multi-End Message and Object Encryption.

%package plugins-screenshotplugin
Summary:        Plugin for Psi
Group:          Productivity/Networking/Talk/Clients
Requires:       %{name} = %{version}

%description plugins-screenshotplugin
This plugin allows you to make screenshots and save them to your hard drive or
upload them to an FTP or HTTP server.

%package plugins-stopspamplugin
Summary:        Plugin for Psi
Group:          Productivity/Networking/Talk/Clients
Requires:       %{name} = %{version}

%description plugins-stopspamplugin
This plugin is designed to block spam messages and other unwanted information
from Psi+ users.

%package plugins-conferenceloggerplugin
Summary:        Plugin for Psi
Group:          Productivity/Networking/Talk/Clients
Requires:       %{name} = %{version}

%description plugins-conferenceloggerplugin
This plugin is designed to save conference logs in which the Psi+ user sits.

%package plugins-cleanerplugin
Summary:        Plugin for Psi
Group:          Productivity/Networking/Talk/Clients
Requires:       %{name} = %{version}

%description plugins-cleanerplugin
This plugin is designed to clear the avatar cache, saved local copies of vCards
and history logs.

%package plugins-clientswitcherplugin
Summary:        Plugin for Psi
Group:          Productivity/Networking/Talk/Clients
Requires:       %{name} = %{version}

%description plugins-clientswitcherplugin
This plugin allows Psi+ to provide a different identification. For example a
user can set Psi+ to tell others that the user is running Miranda on Windows
instead of Psi+ on Linux.

%package plugins-enummessagesplugin
Summary:        Plugin for Psi
Group:          Productivity/Networking/Talk/Clients
Requires:       %{name} = %{version}

%description plugins-enummessagesplugin
The plugin is designed to enumerate messages, adding the messages numbers in
chat logs and notification of missed messages.

Supports per contact on / off message enumeration via the buttons on the chats
toolbar.

%package plugins-icqdieplugin
Summary:        Plugin for Psi
Group:          Productivity/Networking/Talk/Clients
Requires:       %{name} = %{version}

%description plugins-icqdieplugin
This plugin is designed to help you transfer as many contacts as possible from
ICQ to Jabber.

%package plugins-messagefilterplugin
Summary:        Plugin for Psi
Group:          Productivity/Networking/Talk/Clients
Requires:       %{name} = %{version}

%description plugins-messagefilterplugin
A Psi plugin for filtering messages.

%package plugins-watcherplugin
Summary:        Plugin for Psi
Group:          Productivity/Networking/Talk/Clients
Requires:       %{name} = %{version}

%description plugins-watcherplugin
This plugin is designed to monitor the status of specific roster contacts, as
well as for substitution of standard sounds of incoming messages.

%package plugins-attentionplugin
Summary:        Plugin for Psi
Group:          Productivity/Networking/Talk/Clients
Requires:       %{name} = %{version}

%description plugins-attentionplugin
This plugin is designed to send and receive special messages such as Attentions.

%package plugins-extendedmenuplugin
Summary:        Plugin for Psi
Group:          Productivity/Networking/Talk/Clients
Requires:       %{name} = %{version}

%description plugins-extendedmenuplugin
This plugin adds more options to contact's menus.

%package plugins-extendedoptionsplugin
Summary:        Plugin for Psi
Group:          Productivity/Networking/Talk/Clients
Requires:       %{name} = %{version}

%description plugins-extendedoptionsplugin
This plugin is designed to allow easy configuration of some advanced options in
Psi+.

%package plugins-storagenotesplugin
Summary:        Plugin for Psi
Group:          Productivity/Networking/Talk/Clients
Requires:       %{name} = %{version}

%description plugins-storagenotesplugin
This plugin is an implementation of XEP-0049: Private XML Storage.

%package plugins-historykeeperplugin
Summary:        Plugin for Psi
Group:          Productivity/Networking/Talk/Clients
Requires:       %{name} = %{version}

%description plugins-historykeeperplugin
This plugin is designed to remove the history of selected contacts when the Psi+
is closed.

%package plugins-chessplugin
Summary:        Plugin for Psi
Group:          Productivity/Networking/Talk/Clients
Requires:       %{name} = %{version}

%description plugins-chessplugin
This plugin adds the chess game into Psi+.

%package plugins-otrplugin
Summary:        Plugin for Psi
Group:          Productivity/Networking/Talk/Clients
Requires:       %{name} = %{version}

%description plugins-otrplugin
Off-the-Record (OTR) Messaging allows you to have private conversations over
instant messaging.

%package plugins-pepchangenotifyplugin
Summary:        Plugin for Psi
Group:          Productivity/Networking/Talk/Clients
Requires:       %{name} = %{version}

%description plugins-pepchangenotifyplugin
This plugin shows popup notifications when users from your roster changes
their mood, tune or activity.

%package plugins-skinsplugin
Summary:        Plugin for Psi
Group:          Productivity/Networking/Talk/Clients
Requires:       %{name} = %{version}

%description plugins-skinsplugin
This plugin is designed to create, store and apply skins to Psi+.

%package plugins-qipxstatusesplugin
Summary:        Plugin for Psi
Group:          Productivity/Networking/Talk/Clients
Requires:       %{name} = %{version}

%description plugins-qipxstatusesplugin
This plugin is designed to display x-statuses of contacts using the QIP Infium
jabber client.

%package plugins-videostatusplugin
Summary:        Plugin for Psi
Group:          Productivity/Networking/Talk/Clients
Requires:       %{name} = %{version}

%description plugins-videostatusplugin
This plugin is designed to set the custom status when you see the video in
selected video player.

%package plugins-contentdownloaderplugin
Summary:        Plugin for Psi
Group:          Productivity/Networking/Talk/Clients
Requires:       %{name} = %{version}

%description plugins-contentdownloaderplugin
This plugin is designed to make it easy to download and install iconsets and
other resources for Psi+.

%prep
%setup -q
%autopatch -p1

%build
%cmake \
	-DENABLE_PLUGINS=ON

#%%make_jobs won't work -- overriden by qmake's -- opencode it
ninja -v %{?_smp_mflags}

%install
%cmake_install

%suse_update_desktop_file psi-plus

# plugins-devel
install -d %{buildroot}%{_datadir}/psi-plus/plugins/include/
install -m 0644 -t %{buildroot}%{_datadir}/psi-plus/plugins/ src/plugins/plugins.pri
install -m 0644 -t %{buildroot}%{_datadir}/psi-plus/plugins/include/ src/plugins/include/*
sed -e 's:target.path.*:target.path = %pluginspath:' src/plugins/psiplugin.pri > %{buildroot}%{_datadir}/psi-plus/plugins/psiplugin.pri

# these are in %%doc and %%license
rm -f %{buildroot}%{_datadir}/psi-plus/COPYING
rm -f %{buildroot}%{_datadir}/psi-plus/README.html

%fdupes $RPM_BUILD_ROOT/%{_datadir}

dos2unix ChangeLog.Psi+.txt

%files plugins-juickplugin
%defattr(-,root,root)
%{pluginspath}/libjuickplugin.so

%files plugins-autoreplyplugin
%defattr(-,root,root)
%{pluginspath}/libautoreplyplugin.so

%files plugins-contentdownloaderplugin
%defattr(-,root,root)
%{pluginspath}/libcontentdownloaderplugin.so

%files plugins-translateplugin
%defattr(-,root,root)
%{pluginspath}/libtranslateplugin.so

%files plugins-omemoplugin
%defattr(-,root,root)
%{pluginspath}/libomemoplugin.so

%files plugins-screenshotplugin
%defattr(-,root,root)
%{pluginspath}/libscreenshotplugin.so

%files plugins-birthdayreminderplugin
%defattr(-,root,root)
%{pluginspath}/libbirthdayreminderplugin.so

%files plugins-stopspamplugin
%defattr(-,root,root)
%{pluginspath}/libstopspamplugin.so

%files plugins-conferenceloggerplugin
%defattr(-,root,root)
%{pluginspath}/libconferenceloggerplugin.so

%files plugins-gnupgplugin
%defattr(-,root,root)
%{pluginspath}/libgnupgplugin.so

%files plugins-gomokugameplugin
%defattr(-,root,root)
%{pluginspath}/libgomokugameplugin.so

%files plugins-imageplugin
%defattr(-,root,root)
%{pluginspath}/libimageplugin.so

%files plugins-imagepreviewplugin
%defattr(-,root,root)
%{pluginspath}/libimagepreviewplugin.so

%files plugins-jabberdiskplugin
%defattr(-,root,root)
%{pluginspath}/libjabberdiskplugin.so

%files plugins-icqdieplugin
%defattr(-,root,root)
%{pluginspath}/libicqdieplugin.so

%files plugins-cleanerplugin
%defattr(-,root,root)
%{pluginspath}/libcleanerplugin.so

%files plugins-clientswitcherplugin
%defattr(-,root,root)
%{pluginspath}/libclientswitcherplugin.so

%files plugins-enummessagesplugin
%defattr(-,root,root)
%{pluginspath}/libenummessagesplugin.so

%files plugins-messagefilterplugin
%defattr(-,root,root)
%{pluginspath}/libmessagefilterplugin.so

%files plugins-watcherplugin
%defattr(-,root,root)
%{pluginspath}/libwatcherplugin.so

%files plugins-attentionplugin
%defattr(-,root,root)
%{pluginspath}/libattentionplugin.so

%files plugins-extendedmenuplugin
%defattr(-,root,root)
%{pluginspath}/libextendedmenuplugin.so

%files plugins-extendedoptionsplugin
%defattr(-,root,root)
%{pluginspath}/libextendedoptionsplugin.so

%files plugins-storagenotesplugin
%defattr(-,root,root)
%{pluginspath}/libstoragenotesplugin.so

%files plugins-historykeeperplugin
%defattr(-,root,root)
%{pluginspath}/libhistorykeeperplugin.so

%files plugins-chessplugin
%defattr(-,root,root)
%{pluginspath}/libchessplugin.so

%files plugins-otrplugin
%defattr(-,root,root)
%{pluginspath}/libotrplugin.so

%files plugins-pepchangenotifyplugin
%defattr(-,root,root)
%{pluginspath}/libpepchangenotifyplugin.so

%files plugins-qipxstatusesplugin
%defattr(-,root,root)
%{pluginspath}/libqipxstatusesplugin.so

%files plugins-skinsplugin
%defattr(-,root,root)
%{pluginspath}/libskinsplugin.so

%files plugins-videostatusplugin
%defattr(-,root,root)
%{pluginspath}/libvideostatusplugin.so

%files
%defattr(-,root,root)
%doc ChangeLog.Psi+.txt README README.html TODO
%license COPYING 3rdparty/qite/LICENSE
%{_bindir}/psi-plus
%{_datadir}/applications/psi-plus.desktop
%dir %{_datadir}/icons/hicolor/*
%dir %{_datadir}/icons/hicolor/*/apps
%{_datadir}/icons/hicolor/*/apps/psi-plus.png
%{_datadir}/pixmaps/psi-plus.png
%dir %{_datadir}/psi-plus/
%{_datadir}/psi-plus/certs
%dir %{_libdir}/psi-plus
%dir %{_libdir}/psi-plus/plugins

%files data
%defattr(-,root,root)
%dir %{iconspath}/
%dir %{iconspath}/activities
%{iconspath}/activities/default
%dir %{iconspath}/affiliations
%{iconspath}/affiliations/default
%dir %{iconspath}/clients
%{iconspath}/clients/default
%dir %{iconspath}/moods
%{iconspath}/moods/default
%dir %{iconspath}/roster
%{iconspath}/roster/default
%{iconspath}/roster/crystal-gadu.jisp
%{iconspath}/roster/crystal-icq.jisp
%{iconspath}/roster/crystal-roster.jisp
%{iconspath}/roster/crystal-service.jisp
%{iconspath}/roster/crystal-sms.jisp
%{iconspath}/roster/crystal-yahoo.jisp
%{iconspath}/roster/stellar-1.jisp
%{iconspath}/roster/README
%dir %{iconspath}/system
%{iconspath}/system/default
%{iconspath}/system/README
%dir %{iconspath}/emoticons
%{iconspath}/emoticons/default
%{_datadir}/psi-plus/client_icons.txt
%{_datadir}/psi-plus/skins
%{_datadir}/psi-plus/sound
%{_datadir}/psi-plus/themes

%files plugins-devel
%defattr(-,root,root)
%dir %{_datadir}/psi-plus/plugins/
%{_datadir}/psi-plus/plugins/include/
%{_datadir}/psi-plus/plugins/*.pri

%changelog
* Fri Sep 27 2019 Jiri Slaby <jslaby@suse.com>
- update to 1.4.885
  * Fixed psi autostart on Linux OS
  * An attempt to fix text drag-n-drop in OS Linux with Qt>=5.11
  * fixed drag'n'drop for sharing
  * PEP options updated. Added possibility to enable/disable tunes from options
  * Update sound record button on chatedit type switching
  * Fixed potential crash on audio histogram normalization
  * Added actions to desktop file
  * Fixed crash on roster contact search
  * make histogram working
  * Jingle over http (#464)
  * Removed A Tip Of The Day dialog as outdated
  * Rubbish removed
  * themeserver removed
  * Enabled http server on all unix systems
  * Fixed text label emptiness at start of recording
  * File sharing for arbitrary mimetype
  * Voice messaging UI
  * and more...
* Mon Jul  1 2019 Jiri Slaby <jslaby@suse.com>
- update to 1.4.768
  * Deprecate http upload plugin in favor of internal media sharing
  * Auto accept jingle download requests for shared files
  * save downloaded share to cache
  * Handle only audio references for now
  * Make audio messages working
  * Work in progress on reference display
  * Fixed crash on apply of terminated session
  * Fixed crash on double delete of httpupload
  * Remove temporary shared files
  * Send all shared items in one message
  * Send references in one message
  * iris relinked
  * qite relinked
* Thu May 16 2019 Jiri Slaby <jslaby@suse.com>
- update to 1.4.689
  * CMake now using automoc. Iris and libpsi relinked
  * an attempt to draw progress for filetransfers
  * jingle: some progress with file receive
  * Jingle file sending works now
  * Fixed crashes on exit
  * Update all strings with project description.
  * Another fix for travis scripts
  * Fixed travis scripts
  * and more fixes
- remove 0001-iris-return-a-value-from-descriptionFromXml.patch
  solved differently in upstream
* Tue Feb 26 2019 Jiri Slaby <jslaby@suse.com>
- update to 1.4.569+2
  * Update documentation
  * libpsi relinked
  * Install skins with other extra files when they are available
  * SystemInfo: improve detection of macOS version and full name
  * Turned off switching of AutoJid to the resource which sent a receipt
  * Tiny code refactoring.
  * iris relinked
  * Fix clang warnings
  * fixed EventIdGenerator::getId method
  * fixed issue #424
- enable Qt WebEngine
- add license for qite
- add 0001-iris-return-a-value-from-descriptionFromXml.patch
* Wed Jan 23 2019 Jiri Slaby <jslaby@suse.com>
- update to 1.4.544+1
  * Reject mucjoindlg if corresponding captcha dialog is rejected
  * a try to fix crash mentioned in #411
  * Happy new year 2019! (#413)
  * silk iconset better meta info (#419)
  * Online Help dead #404 (#420)
  * iconsets update (#415)
  * email update
  * Applied network session close handling patch by Jiri Slaby
  * Attempt to fix reconnection to XMPP server after system wakeup
  * Fixed crash on multiple vcard update for the same muc contact
  * Bring back smooth scrolling
  * Fixed regression with copy&paste
  * Use plaintext system messages in private chats for consistency
    with everything else
  * Started work on inline media share (xep-0385)
  * Started QITE integration
  * Allow set topic even where there is not any topic yet
  * Get rid of psi_features for plugins
  * Allow plugins send javascript to chatlogs
  * More webkit related API for plugins
  * Don't rewrite muc jid with participant jid
  * Uncommented act_add_to_roster in urlobject menu
  * Fixed Psi+ detection
  * Step forward with JS filters
  * Keep messageview js filters just in plugin manager
  * A little progress with js message view filters
  * Removed obsolete profile migration
  * A try to restore compatibility with old webkit (old javascript standard)
  * Remove anti-focus stealing prevention code.
  * Merged New History implementation by Alexey Andreev (liuch)
  * removed the last piece of map2json
  * Fixed scrollkeeper for old webkit version
  * Improve scroll keeper with WebEngine version.
  * Added support for XEP-0157
* Thu Nov 29 2018 Jiri Slaby <jslaby@suse.com>
- update to 1.4.411
  * Updated cmake files. Changed c++ standard to c++14
  * Unconditional c++14 + a few changes wrt standard
  * Updated CMake files. Win32 definitions moved to separate file
  * Reverted workaround for invalid skype caps
  * Updated http-parser/qhttp modules
  * Fixed build against hunspell 1.7.
  * Update CMakeLists.txt
  * Version bumped to 1.4
  * Merged WebKit preview fixes from master branch
  * Applied eac157d1595b (SM fixes) from upstream
  * Fixed compatibility with Qt-5.XX
  * Fix build with Qt 5.11.x
* Thu Oct 11 2018 Jiri Slaby <jslaby@suse.cz>
- update to 1.3.425
  * Do not destroy window's contents on hiding it via 'close' button (#389)
  * Apply part of patch 0280-psi-multirows-tab.diff
  * Fix cppcheck notes with severity "warning"
  * Fix cppcheck notes with severity "error"
  * Updated src/tools/tunecontroller/plugins/aimp/third-party/apiRemote.h.
    Updatd aimp sdk to 4.5.1 version
  * Updated CMake files. Added possibility to compile psimedia plugin if
    sources found in root of psi sources
* Sun Sep  2 2018 jslaby@suse.com
- update to 1.3.410
  * Clearer logic for history preload. Remove iris from MessageView
  * Don't send Inactive chatstate right after Gone when closing the chat window
  * chatstate fixes
  * Update configuration scripts using qconf v2.4-2-g39e05e6
  * iris relinked
  * Improve detection of Spark XMPP client
  * Updated tranlations in desktop file
  * Tiny improvement in message about PsiMedia loading problem
  * Changes in plugin API required for OMEMO MUC support
  * Updated src/win32-prepare-deps.cmake file. Added new gstreamer libs to prepare-bin-libs target
* Thu Jul  5 2018 jslaby@suse.com
- update to 1.3.396
  * Fix cppcheck notes "nullPointerRedundantCheck":
  * iris relinked
  * libpsi relinked
  * Fix cppcheck note:
  * Tiny fixes
  * Fix build with MSVC
  * Fix build with QtWebKit after aa48948c6ae245a0682774ed499f9d49f8dacd8b.
  * Tiny code refactoring.
  * Fix cppcheck warning about uninitialized class members
  * Fix cppcheck warning:
  * Fix cppcheck warnings about usage of uninitialized variables
  * Added missed include. fixes compilation failure on Mac OS
  * Fix cppcheck complaints
  * plugins/deprecated/chess: delete unused code
  * Update caps when toggling a plugin that contributes to caps
  * Less pointers, more smart stuff
  * httpupload: encrypt files using OMEMO plugin
  * Merge pull request #378 from psi-im/reworked_encryption_plugin_approach
  * EncryptionSupport: committed forgotten file
  * EncryptionSupport: moved EncryptionHandler from the constructor to a setter
  * EncryptionSupport: pass EncryptionHandler to XMPP::Client in constructor
    instead of individual methods that require it
  * New EncryptionSupport plugin API that allows encryption plugins to plug
    into the right place for message processing
  * Revert "Fixed accidentally broken request of "composing" events"
- new OMEMO plugin
* Mon Jun 11 2018 jslaby@suse.com
- update to 1.3.362
  * Grammar fixes
  * Replace xmpp icon with another one without text
  * client_icons.txt: add Dino
  * Try to fix issue #364
  * Try to fix build with qt-5.11
  * Compute relative path to theme's file before starting searching it everywhere.
  * Disable translucent widgets background even if requested by theme.
  * Always recreate jsutil to drop any persistent data from previous theme
  * Sync src/libpsi submodule
  * Webkit: Allow loading empty files. convert tiff to png on the fly
  * Disable context help button on dialogs where it's not used
  * Don't try to show gstreamer info if psimedia library is not loaded
  * Added an icon for xmpp service in useradd dialog to be consistent with other services. fixes #370
  * Don't close Ad-Hoc dialog if response command has another form
  * Rely on QNetworkSession to decide when to connect after resume.
  * an attempt to make reconnection after sleep faster
- convert ChangeLog to unix newlines
* Thu May  3 2018 jslaby@suse.com
- update to 1.3.343
  * Make sure that PGP gets enabled only when it's available
  * Cleanup stream on wakeup to avoid receiving errors from stalled stream while reconnecting
  * Updated CMake files. Added detection of win32 architecture for MSVC
  * Prevent crash on too log wait for credentials input.
  * Linkify URLs with "file:" scheme
  * Fixed crash on exit (write to PsiAccount members after delete)
  * Adding Flatpak package manifest
  * Use physical units for muc roster avatars size
  * util.js: add classes to media previews for easy CSS styling
  * util.js: add webp, m4a and ogv to the list of media extensions
  * util.js: ignore query params and hash when determining file extension
  * util.js: add youtube.com to the list of domains triggering youtube preview
  * util.js: consider application/octet-stream mime as unknown to the server, so fallback to extension-based heuristic in such case
  * Fixed crash on exit in Windows
  * Add an option to send composing events at the beginning of conversation
  * Set tab to inactive color when the contact is in inactive state
  * Use static libidn on Windows
  * Ignore dbus on Windows
  * Improved hunspell/qca/idn search for qmake based compilation
  * Tabs to spaces for qcm modules
  * and more...
* Sun Jan 21 2018 jslaby@suse.com
- update to 1.2.173
  * Applied patch 0120-psi-tray-act-bring-to-front.diff from Psi+
  * a little optimization in the roster
  * Hide OS version if it's "unknown"
  * Do not rewrite accounts.xml everytime when number of online contacts is changed
  * Updated CMake files. Fixed build without qt5keychain library
  * a little optimization in ContactListViewDelegate::eventFilter
  * removed Q_UNUSED for a variable
  * refactored ContactListViewDelegate
  * disable keychain for portable Psi. make an ui option for it
  * Update CMakeLists.txt
  * Updated CMake files. USE_KEYCHAIN flag enabled by default if Qt5Keychain library found.
  * fied typo in defaults.xml
  * relink iris
  * Fixed broken compilation
  * Allow disable keychain in runtime
  * Updated CMake files.Added new ONLY_BINARY flag to build and install only psi binary. Some changes in install section
  * Fixed qt component finder in qcm
  * Upadated cmake/modules/FindQca.cmake. Added new path to find Qca includes. iris relinked
  * iris relinked
  * Changed some default options + applied Psi+ patch for contact groups in main menu
  * and more...
* Sun Dec 10 2017 jslaby@suse.com
- update to 1.2.109+0
  * many bugfixes
  * build system fixes
* Wed Oct  4 2017 jslaby@suse.com
- update to 1.2.100
  * many bugfixes
* Tue Sep  5 2017 jslaby@suse.com
- update to 1.2.46
  * many bugfixes
* Wed Aug 23 2017 jslaby@suse.com
- update to 1.2.39
  * many bugfixes
  * dropped support for qt4 (upstream dropped that too)
* Fri Jul 28 2017 jslaby@suse.com
- update to 1.2.15
  * many bugfixes
  * removed MSN and AIM icons
* Thu Jun 22 2017 jslaby@suse.com
- update to 1.0.98
  * many bugfixes
- remove 0001-plugins-imagepreviewplugin-include-QWebFrame.patch
  It is upstram now.
* Fri Jun  2 2017 jslaby@suse.com
- update to 1.0.19+1
  * some bugfixes
  * dropped deprecated plugins
    + captchaformsplugin
    + gmailserviceplugin
    + gnome3supportplugin
- add 0001-plugins-imagepreviewplugin-include-QWebFrame.patch
* Tue May 23 2017 jslaby@suse.com
- update to 0.16.584.748+1
  * some bugfixes
  * code unification of psi and psi+
- switch to sane versioning, according to upstream version which
  started being sane recently too.
- split -lang to a separate .spec (lang comes from a differen
  repository with different versioning)
* Mon May 15 2017 jslaby@suse.com
- update to 20170502
  * updated translations
  * some bugfixes
* Wed Apr  5 2017 jslaby@suse.com
- update to 20170403
  * updated translations
  * some bugfixes
- use cmake() in .spec
* Fri Mar 24 2017 jslaby@suse.com
- update to 20170321
  * updated translations
  * some bugfixes
- switch to use cmake & ninja (new support)
- join -icons, -sounds and -themes into -data
- use qt5 on leap >= 42.2 too
- drop psi+-appdata-desktop-reference.patch: appdata no longer used
* Mon Feb 13 2017 jslaby@suse.com
- update to 20170212 (bnc#1024687 CVE-2017-5593)
  * updated translations
  * some bugfixes
  * added httpupload and imagepreview plugins
* Wed Nov 30 2016 jslaby@suse.com
- update to 20161109
  * updated translations
  * some bugfixes
* Tue Oct  4 2016 jslaby@suse.com
- update to 20161003
  * updated translations
  * some bugfixes
* Fri Jul 29 2016 jslaby@suse.com
- obsolete deleted psi (bnc#990894)
- update to 20160727
  * updated translations
  * some bugfixes
* Wed Jun  8 2016 jslaby@suse.com
- update to 20160607
  * updated translations
  * some bugfixes
- add plugins-devel for building external plugins
* Tue May  3 2016 dimstar@opensuse.org
- Add psi+-appdata-desktop-reference.patch: Fix the reference to
  the .desktop file in appdata.xml: upstream installs psi.desktop
  as psi-plus.desktop, psi.appdata.xml as psi-plus.appdata.xml.
  The reference inside the appdata.xml has to match in order for
  the linking between appdata file and .desktop file to work.
* Mon May  2 2016 jslaby@suse.com
- update to 20160501
  * updated translations
  * some bugfixes
  * fixed frequent double free crash
* Sat Apr 23 2016 jslaby@suse.com
- update to 20160422
  * updated translations
  * some bugfixes
  * many new icons
- new subpackages: icons, lang, sounds, themes
* Mon Mar  7 2016 jslaby@suse.com
- update to 20160304
  * updated translations
  * some bugfixes
  * 2 new plugins: enummessages messagefilter
- remove: proper-activate.patch (really not needed)
* Tue Nov 24 2015 jslaby@suse.com
- update to 20151120
  * updated translations
  * some bugfixes
- remove: qt55-build-fixes.patch -- now unneeded, fixed upstream
- enable X11 Screen Saver extension
* Sun Oct 11 2015 jslaby@suse.com
- use qt 5
  * reintroduce qt55-build-fixes.patch (actually needed for 5.5)
* Tue Sep 29 2015 jslaby@suse.com
- update to 20150925
  * updated translations
  * added lost context menu adding
  * some bugfixes
- remove: qt55-build-fixes.patch (not needed anymore)
- remove: qca-qt5.patch
  * and no need to call qconf anymore, they use a new enough one
* Wed Sep  9 2015 jslaby@suse.com
- update to 20150908
  * updated translations
  * some bugfixes
- fix URL
* Wed Jul 22 2015 jslaby@suse.com
- update to 20150708
  * updated translations
  * some bugfixes
* Fri Apr 24 2015 jslaby@suse.com
- update to 20150423
  * updated translations
  * some bugfixes
- removed kill-Q_WS_X11.patch (in upstream)
* Thu Apr  9 2015 jslaby@suse.com
- qt55-build-fixes.patch: add
* Tue Apr  7 2015 astieger@suse.com
- build with current libotr (4.x)
- note qt4 minimum requirement
* Tue Mar 17 2015 jslaby@suse.com
- update to 20150227
  * updated translations
  * some bugfixes
- port to qt5 ready, waiting for fixed packages to reach factory
- added kill-Q_WS_X11.patch
- added qca-qt5.patch
- added proper-activate.patch
* Wed Jan 14 2015 jslaby@suse.com
- update to 20150103
  * updated translations
  * many bugfixes
  * remove the need of qconf (it's run by upstream already)
* Fri Dec  5 2014 jslaby@suse.com
- update to 20141129
  * updated translations
  * many bugfixes (see ChangeLog)
  * login1-dbus-suspend.patch: remove, in upstream
* Mon Aug 18 2014 jslaby@suse.com
- update to 20140723
  * updated translations
  * many bugfixes (see ChangeLog)
* Wed Jul  2 2014 jslaby@suse.com
- update to 20140620
  * updated translations
  * many bugfixes (see ChangeLog)
* Tue May  6 2014 jslaby@suse.com
- update to 20140505
  * updated translations
  * many bugfixes (see ChangeLog)
* Thu Feb 20 2014 jslaby@suse.com
- update to 20130911
  * updated translations
  * many bugfixes (see ChangeLog)
* Fri Jan 10 2014 jslaby@suse.com
- update to 20130911
  * updated translations
  * many bugfixes (see ChangeLog)
- enable more plugins
  * chess
  * clientswitcher
  * extendedmenu
  * gomokugame
  * jabberdisk
- enable whiteboarding
* Wed Sep 25 2013 jslaby@suse.com
- update to 20130911
  * updated translations
  * many bugfixes (see ChangeLog)
* Thu Aug 15 2013 jslaby@suse.com
- update to 20130815
  * updated translations
  * many bugfixes (see ChangeLog)
  * remove yandex narod plugin as it was deprecated
- remove add-return-to-nonvoid-fun.patch as it is upstream now
* Fri Jul 19 2013 jslaby@suse.com
- update to 20130719
  * updated translations
  * many bugfixes (see ChangeLog)
* Mon May 13 2013 jslaby@suse.com
- login1-dbus-suspend.patch: logind sends a different signal during
  suspend
* Mon May 13 2013 jslaby@suse.com
- update to 20130505
  * updated translations
  * many bugfixes (see ChangeLog)
* Mon Apr 15 2013 jslaby@suse.com
- update to 20130405
  * updated translations
  * many bugfixes
* Sat Mar  2 2013 jslaby@suse.com
- update to 20130227
  * updated translations
  * many bugfixes
* Tue Feb 12 2013 jslaby@suse.com
- update to 20130211
  * updated translations
  * added support for qt5
  * added gnupg plugin
  * many bugfixes
* Wed Jan  9 2013 jslaby@suse.com
- enable otr plugin
- add gdb to buildrequires as it is used for adding gdb-index
* Wed Jan  9 2013 jslaby@suse.com
- split package
  * free part will be distributed with opensuse (tehnick's repo)
  * non-free elsewhere (icons with weird licenses)
* Wed Jan  2 2013 jslaby@suse.com
- switch %%{version}-%%{release} requires to %%{version} only
- use %%{?_smp_mflags} instead of %%{?jobs:-j%%jobs}
* Sat Dec 29 2012 jslaby@suse.com
- proper version
* Fri Dec 28 2012 jslaby@suse.com
- newer snapshot
- rework to use _service files for easier updating
- remove qt translation files (they were not used at all)
* Mon Oct  8 2012 jslaby@suse.com
- updated translations: 5367.2
- newer snapshot
- disable otr -- does not work with new libotr (in factory)
* Fri Jun 29 2012 jslaby@suse.de
- enable pepchangenotify and otr plugins
* Wed Jun 27 2012 jslaby@suse.de
- update to 0.15.5337
  * see changelog.txt for changes
- update translations from psi-plus-i18n
* Fri Apr 20 2012 jslaby@suse.de
- update to 0.15.5320
  * see changelog.txt for changes
* Sun Nov  6 2011 jslaby@suse.de
- update to 0.15.5185
  * see changelog.txt for changes
- fixed emoticons in chat
- add gnome3support plugin
- update ru translation
* Sun Nov  6 2011 jslaby@suse.de
- update to 0.15.5130
  * see changelog.txt for changes
- update ru translation
* Wed Jul 13 2011 jslaby@suse.de
- update to 0.15.5050
  * see changelog.txt for changes
- we now use numbering scheme from version.txt
* Fri Jun 17 2011 jslaby@suse.de
- update to 0.15.4056
* Sun May 22 2011 jslaby@suse.de
- update to 0.15.3910
- add psi update script
* Tue Apr 26 2011 jslaby@suse.de
- update to 0.15.3817
  - new plugins
  - many improvements
  - many fixes
* Tue Feb  1 2011 jslaby@suse.de
- fix crash on unknown icon load
* Sun Jan  9 2011 jslaby@suse.de
- update to 0.15.3464
    updated many plugins
    added upower support
    updated cs translation
    fixed crashes
    remove __DATE__ dependency
* Fri Nov 12 2010 jslaby@suse.de
- update to 0.15.3164, with a help of home:nirdosh
* Tue Feb  9 2010 prusnak@suse.cz
- based on the psi+ package from home:nirdosh
